<?
  session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";
	echo "parent.location.href='index.html'; ";
	echo "</script>";
}
include ("clases/alumno.class.php");
$obja = new alumno();
$objd = new alumno();
if($objd->BuscarPorNombre($_SESSION['usuario']))
	{
	 /* $nombre = $objd->getNombres();
	  $apellido = $objd->getApellidos();
	  $email = $objd->getEmail();
	  $foto = $objd->getFoto();
	  $dir = $objd->getDireccion();
	  $tel = $objd->getTelefono();
	  $fo = $objd->getFechanaci();
	  $es = $objd->getEspecialidad();*/
	  $idalu = $objd->getIdalu();
	}


include ("clases/trabajo.class.php"); $objt = new trabajo();
include ("clases/matricula.class.php"); $objm = new matricula();
include ("clases/curso.class.php"); $objc = new curso();
include ("clases/doc_curso.class.php"); $objdc = new doc_curso();

 include ("clases/clases.class.php"); $objcla = new clases();
include ("clases/tarea.class.php"); $objtarea = new tarea();
$idtarea = $_REQUEST['idtarea'];
if($objtarea->BuscarPorCodigo($idtarea)){
   $titulo = $objtarea->gettitulo();
   $descripcion = $objtarea->getdescripcion();
   $fechalimite = $objtarea->getfechalimite();
   $idclases = $objtarea->getidclases();
   if($objcla->BuscarPorCodigo($idclases)){
      $tema = $objcla->getClase();
	  $iddoc_curso = $objcla->getIddoc_curso();
	   if($objdc->BuscarPorCodigo($iddoc_curso))
	    {$idcurso = $objdc->getIdcurso();
		  if($objc->BuscarPorCodigo($idcurso))
		   {
		     $curso = $objc->getCurso();
		   }
		}
	   if($objm->Verificar($iddoc_curso,$idalu)){
	     $cod=$objm->getIdmatricula();
	   }
   }
}

///////////////////////////////


?>
<html>
	<head><title>mi web</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
		</head>

	<script language="javascript">
	function consultar(f){
	f.action = 'mandocente.php';
	f.submit();return true;
	}

	</script>
	<body>
	<form action="controladores/procesatrabajo.php" method="post" enctype="multipart/form-data" name="f">
	   <div class="panel-heading">
	     <h4>
	       <input type="hidden" name="idtarea" value="<?=$idtarea;?>">
	       <input type="hidden" name="idmatricula" value="<?=$cod;?>">Registrar Trabajo del curso de: <?=$curso;?> <a href="datoscurso.php?curso=<?=$iddoc_curso;?>" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a>
		 <br><br>Tema: <?=$tema;?>
		 <br> Actividad:  <?=$titulo;?>
		 <br> Descripcion:  <?=$descripcion;?>
		 <br> Fecha Limite:  <?=date("d-m-Y", strtotime($fechalimite));?>
		 </h4>
      </div>
	   <div class="form-group">
	       <?php if($fechalimite>date("Y-m-d")){?>
	     <table width="90%" border="0" align="center" >
		  <tr>
			<th scope="col">Descripcion:</th>
		  </tr>
		  <tr>
			<td><input name="descripcion" type="text" value="" size="50" class="form-control" ></td>
		  </tr>
		  <tr>
			<th scope="col">Archivo (max 1M):</th>
		  </tr>
		  <tr>
			<td><input type="file" name="file" class="form-control"> <input type="hidden" name="MAX_FILE_SIZE" value="4000000">
                    <input type="hidden" name="text" value="R"></td>
		  </tr>
		  <tr>
		    <td>&nbsp;</td>
	       </tr>
		  <tr>
		    <td>
			<div class="form-group">
			  <input type="submit" name="b" value="Registrar" class="btn btn-success btn-lg">
			</div>		</td>
		  </tr>
		</table>
		<?php } else "";?>
	   </div>
    </form>

	<center>

      <?
			  echo "<strong>Descripcion del Trabajo</strong> ";
			  $lista=$objt->ListarPorMatTarea($cod,$idtarea);
			  for($i = 0; $i<count($lista); $i++)
			  {
			  echo "<div class='form-group'>";
			  ?>
			  <span class="glyphicon glyphicon-ok"></span> <?=$lista[$i]["descripcion"]." ";?><?="(Pub: ".$lista[$i]["fecha"].")";?> <a href="trabajos/<?= $lista[$i]["archivo"];?>"> <span class="glyphicon glyphicon-download-alt"></span></a> <a href="controladores/procesatrabajo.php?id=<?=$lista[$i]['idtrabajo'];?>&text=E&idtarea=<?=$lista[$i]['idtarea'];?>"><span class="glyphicon glyphicon-trash"></span></a>
			  <? echo "</div>";?>
              <?
			  }
			  ?>
   </center>
	</body>
</html>